Summary:	Checks to see if a given module can be loaded
Name:		perl-Test-Requires
Version:	0.11
Release:	5%{?dist}
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Test-Requires
Source0:	https://cpan.metacpan.org/modules/by-module/Test/Test-Requires-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	make coreutils
BuildRequires:	perl-generators perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:	perl(base) perl(strict) perl(Test::Builder::Module) perl(warnings)
# Test
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Test::More) >= 0.47

# Runtime

%description
Test::Requires checks to see if the module can be loaded.
If this fails, rather than failing tests this skips all tests.


%prep
%autosetup -n Test-Requires-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}


%install
%{make_install}
%{_fixperms} -c %{buildroot}


%check
make test


%files
%license LICENSE
%doc Changes README.md t/ xt/
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Requires.3*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.11-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 15 2023 rockerzhu <rockerzhu@tencent.com> - 0.11-1
- Initial build
